<?php

// API routes  for subcategory
Route::prefix('{guard}/category')->group(function () {
    Route::get('subcategory/form/{element}', 'SubcategoryAPIController@form');
    Route::resource('subcategory', 'SubcategoryAPIController');
});

// Public routes for subcategory
Route::get('categories/', 'SubcategoryPublicController@index');
Route::get('categories/{slug?}', 'SubcategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for categories
            Route::prefix('{guard}/category')->group(function () {
                Route::get('subcategory/form/{element}', 'SubcategoryAPIController@form');
                Route::apiResource('subcategory', 'SubcategoryAPIController');
            });
            // Public routes for categories
            Route::get('category/Subcategory', 'SubcategoryPublicController@getSubcategory');
        }
    );
}


// API routes  for category
Route::prefix('{guard}/category')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('categories/', 'CategoryPublicController@index');
Route::get('categories/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for categories
            Route::prefix('{guard}/category')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for categories
            Route::get('category/Category', 'CategoryPublicController@getCategory');
        }
    );
}

