<?php

namespace Classifieds\Category;

use User;

class Category
{
    /**
     * $subcategory object.
     */
    protected $subcategory;
    /**
     * $category object.
     */
    protected $category;

    /**
     * Constructor.
     */
    public function __construct(\Classifieds\Category\Interfaces\SubcategoryRepositoryInterface $subcategory,
        \Classifieds\Category\Interfaces\CategoryRepositoryInterface $category)
    {
        $this->subcategory = $subcategory;
        $this->category = $category;
    }

    /**
     * Returns count of category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.subcategory.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->subcategory->pushCriteria(new \Litepie\Classifieds\Repositories\Criteria\SubcategoryUserCriteria());
        }

        $subcategory = $this->subcategory->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('category::' . $view, compact('subcategory'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Classifieds\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('category::' . $view, compact('category'))->render();
    }
}
