<?php

namespace Classifieds\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubcategoryTransformer extends TransformerAbstract
{
    public function transform(\Classifieds\Category\Models\Subcategory $subcategory)
    {
        return [
            'id'                => $subcategory->getRouteKey(),
            'key'               => [
                'public'    => $subcategory->getPublicKey(),
                'route'     => $subcategory->getRouteKey(),
            ], 
            'parent_id'         => $subcategory->parent_id,
            'name'              => $subcategory->name,
            'slug'              => $subcategory->slug,
            'user_id'           => $subcategory->user_id,
            'user_type'         => $subcategory->user_type,
            'deleted_at'        => $subcategory->deleted_at,
            'url'               => [
                'public'    => trans_url('category/'.$subcategory->getPublicKey()),
                'user'      => guard_url('category/subcategory/'.$subcategory->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subcategory->status),
            'created_at'        => format_date($subcategory->created_at),
            'updated_at'        => format_date($subcategory->updated_at),
        ];
    }
}